.item {
  display: grid;
  grid-template-columns: 1fr 5fr 1fr;
  border-radius: 5px;
  padding: 10px;
  color: #6400fa;
  background: white;
  margin: 5px 10px 5px 10px;
  font-size: small;

  &:hover {
    background-color: #f7eced;
  }

  &__number {
    &:hover {
      cursor: pointer;
      font-weight: bold;
    }
  }

  &__container {
    display: flex;
    flex-direction: row;
    align-content: center;
  }

  &__imag {
    margin-right: 5px;
    width: 35px;
    height: 35px;
  }

  &__title {
    display: flex;
    flex-direction: column;
  }

  &__song-name {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
  }

  &__heart-icon {
    height: 20px;
    width: 20px;
    fill: #6400fa;

    &:hover {
      cursor: pointer;
    }
  }
}

@media (min-width: 600px) {
  .item {
    font-size: medium;
    min-width: 550px;
    max-width: 550px;

    &__imag {
      margin-right: 10px;
      width: 40px;
      height: 40px;
    }
  }
}
